Get Environment
get
/rpa/v1/environments/{identifier}
Gets a Environment by identifier
Request
Path Parameters
-
identifier(required): string
Environment Identifier.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Retrieves the Environment with the given id
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Environment
Type:
objectDetails of Environment.
Show Source
-
agentVersion: string
Minimum Length:
1Maximum Length:50The agent version. -
createdBy: string
Records the user who create the environment.
-
description: string
User given description of the environment.
-
displayName(required): string
User friendly display name for the environment.
-
environmentGroupDisplayName(required): string
The environment group display name if this environment is added to the environment group.
-
environmentGroupIdentifier(required): string
The environment group identifier if this environment is added to the environment group.
-
environmentType: string
Allowed Values:
[ "AUTONOMOUS", "ON_PREMISE" ]The type of the environment. -
identifier(required): string
Unique identifier of the environment given by user.
-
instanceMetadataProperties: object
instanceMetadataProperties
Additional Properties Allowed: additionalPropertiesMap
for the instance Metadata System Properties -
keywords: string
The keywords of the environment given by user.
-
lifecycleState(required): string
Allowed Values:
[ "AVAILABLE", "UNAVAILABLE", "BUSY" ]The current state of the environment. -
previousAgentVersion: string
The previous agent version.
-
projectId(required): string
The environment group project Id if this environment is added to the environment group.
-
systemProperties: object
systemProperties
Additional Properties Allowed: additionalPropertiesMap
for the Environment System Properties -
timeAgentVersionUpdated: string
(date-time)
The time at which agent version was last updated.
-
timeCreated: string
(date-time)
The time at which environment was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time at which environment was last updated. An RFC3339 formatted datetime string.
-
updatedBy: string
Records to user who last update the environment.
Nested Schema : instanceMetadataProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the instance Metadata System Properties
Example:
{
"InstanceId":"ocid.instance",
"InstancePoolId":"ocid.instancePool",
"CompartmentId":"ocid.compartment",
"Region":"us-ashburn-1"
}Nested Schema : systemProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Environment System Properties
Example:
{
"HostName":"JANEDOE-MACBOOKPRO",
"OperatingSystemVersion":"12.6.5",
"OperatingSystemName":"Mac OS X",
"OperatingSystemArchitecture":"x86_64",
"IPAddress":"10.0.1.3",
"MacAddress":"F8-4D-89-87-F6-9D"
}400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.